/**
 * @file
 * The main JS settings of Vide module.
 */

(function ($, Drupal, drupalSettings) {
  'use strict';
  Drupal.behaviors.videBg = {
    attach: function (context, settings) {
      var bgElementType = drupalSettings.vide_bg_options.options.bgPosition;
      var bgHtmlElement = drupalSettings.vide_bg_options.options.bgHtmlElement;
      var bgBlockId = drupalSettings.vide_bg_options.options.bgBlockid;
      bgBlockId = bgBlockId.replace(/--|_/g, '-');
      var bgElement = '';
      switch (bgElementType) {
        case 1:
          bgElement = document.body;
          break;

        case 2:
          if (bgBlockId !== '') {
            bgElement = '#' + bgBlockId;
          }
          break;

        case 3:
          bgElement = bgHtmlElement;
          break;

      }
      let winWidth = $(window).width();
      let elHeight = winWidth * 0.56;
      $(bgElement).css('background', 'none');
      $(bgElement).css('height', elHeight);
      $(bgElement).css('z-index', '0');
      $(window).resize(
        function () {
          let winWidth = $(window).width();
          let elHeight = winWidth * 0.56;
          $(bgElement).css('height', elHeight);
        }
      );
      $(bgElement).vide(
        drupalSettings.vide_bg_options.files, drupalSettings.vide_bg_options.options
      );
    }
  };
}(jQuery, Drupal, drupalSettings));
